Subject: [Hubmib] ifSpeed & 2BASE-TL/10PASS-TS

From: "Matt Squire" <[email-masked]>
Date: Mon, 2 Aug 2004 20:12:03 -0400

I figured I'd fire off a note to the reflectors to get this discussion started.  

During the discussions today in the hubmib WG, the question arose as to what should be the ifSpeed for 2BASE-TL & 10PASS-TS interfaces.  

Traditionally, it seems the ifSpeed has been tied to the speed of the MAC (e.g. 10Mbps, 100Mbps, etc.).  With 2BASE/10PASS, the PHY may be running at a much lower speed than the 100Mbps MAC, so its not particularly useful to the administrator to call all of these interfaces 100M when the PHYs aren't there.  

Options for ifSpeed of 2BASE/10PASS seem to include the following:

0) Use 100 Mbps (MAC speed).  

1) Sum the physical date rates of PMEs in the aggregate (PHY speed).  

2) Use the rate of "goodput" on the PHYs (e.g. how much data can ge thru).  This would ignore any overhead of the PHY (PAF, 64/65) and overhead of the MAC (preamble, IPG).  This most accurately reflects how much data can get thru.  

3) Use the rate at the MAC/MII.  E.g. include preamble/IPG (even though its not transmitted), but not PHY overhead (PAF, 64/65).  This seems consistent with other PHYs, but is kinda weird in that we're not actually transmitting preamble/ipg.  

There are probably other options too.  Thoughts/opinions?  

- Matt

_______________________________________________
Hubmib mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/hubmib

---

From: "C. M. Heard" <[email-masked]>
Date: Tue, 3 Aug 2004 11:14:30 -0700 (PDT)

On Mon, 2 Aug 2004, Matt Squire wrote:
> During the discussions today in the hubmib WG, the question
> arose as to what should be the ifSpeed for 2BASE-TL & 10PASS-TS
> interfaces.
> 
> Traditionally, it seems the ifSpeed has been tied to the speed
> of the MAC (e.g. 10Mbps, 100Mbps, etc.).  With 2BASE/10PASS, the
> PHY may be running at a much lower speed than the 100Mbps MAC,
> so its not particularly useful to the administrator to call all
> of these interfaces 100M when the PHYs aren't there.
> 
> 2) Use the rate of "goodput" on the PHYs (e.g. how much data can
> ge thru).  This would ignore any overhead of the PHY (PAF,
> 64/65) and overhead of the MAC (preamble, IPG).  This most
> accurately reflects how much data can get thru.
> 
> 3) Use the rate at the MAC/MII.  E.g. include preamble/IPG (even
> though its not transmitted), but not PHY overhead (PAF, 64/65).  
> This seems consistent with other PHYs, but is kinda weird in
> that we're not actually transmitting preamble/ipg.
> 

You might want to take a look at RFCs 3635 and 3637 to see what was
done for 10GBASE-W.  In that case we used a layering model
(specified via the ifStackTable) that had different ifSpeed values
for different sublayers, and the speed at each sublayer corresponded
to the rate at which that sublayer transmitted bit to and/or
received bits from the sublayer below.  The ifSpeed values for the
ifTable entries representing the SONET sublayers were specified in
RFC 3637 Section 3.4, and the ifSpeed value for the ifEntry
representing the PCS/RS/MAC/LLC sublayers was specified in RFC 3635
Section 3.2.8.

Hope this helps.

Mike Heard
WIS MIB editor

P.S. It would probably be a Good Thing (tm) to have a stack table
diagram in the next rev of draft-ietf-hubmib-efm-cu-mib